Bug 1026523 - Review Request: mustache-java - Implementation of mustache.js for Java
Review Request: mustache-java - Implementation of mustache.js for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On: 1026522
Blocks: Elasticsearch
  Show dependency treegraph
 
Reported: 2013-11-04 16:44 EST by gil cattaneo
Modified: 2014-09-23 00:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: mustache-java-0.8.16-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-23 00:51:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jvanek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-11-04 16:44:20 EST
Spec URL: http://gil.fedorapeople.org/mustache-java.spec
SRPM URL: http://gil.fedorapeople.org/mustache-java-0.8.12.1-1.fc19.src.rpm
Description:
Implementation of the Mustache language in Java.
Mustache.java is a derivative of mustache.js.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2014-09-04 08:38:10 EDT
Spec URL: http://gil.fedorapeople.org/mustache-java.spec
SRPM URL: http://gil.fedorapeople.org/mustache-java-0.8.16-1.fc19.src.rpm

- update to 0.8.16
Comment 2 jiri vanek 2014-09-04 08:46:55 EDT
thank you for update!

I will try to review at least CLI soon, and this in some reasonable time.

Anyway - as I'm trying to build elastic search, and looking for individual maven artifacts, I can see that you are maintaining most of them. How to say - really great job and thank you for it!
Comment 3 jiri vanek 2014-09-10 05:09:40 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 124 files have unknown license. Detailed output
     of licensecheck in /home/jvanek/1026523-mustache-java/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-metadata, /usr/share/maven-poms
     /mustache-java
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/mustache-
     java, /usr/share/maven-metadata
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mustache-
     java-maven-plugin , mustache-java-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mustache-java-0.8.16-1.fc21.noarch.rpm
          mustache-java-maven-plugin-0.8.16-1.fc21.noarch.rpm
          mustache-java-javadoc-0.8.16-1.fc21.noarch.rpm
          mustache-java-0.8.16-1.fc21.src.rpm
mustache-java.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
mustache-java.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
mustache-java-maven-plugin.noarch: W: summary-not-capitalized C mustache-java Maven Mojo
mustache-java.src: W: spelling-error Summary(en_US) js -> dis, ks, j
mustache-java.src: W: spelling-error %description -l en_US js -> dis, ks, j
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mustache-java-maven-plugin mustache-java mustache-java-javadoc
mustache-java-maven-plugin.noarch: W: summary-not-capitalized C mustache-java Maven Mojo
mustache-java.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
mustache-java.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
3 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
mustache-java-maven-plugin (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.github.spullara.mustache.java:compiler)
    mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.codehaus.plexus:plexus-compiler-api)

mustache-java (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.github.spullara.cli-parser:cli-parser)
    mvn(com.google.guava:guava)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.eclipse.jetty:jetty-server)
    mvn(org.ow2.asm:asm-commons)
    mvn(org.ow2.asm:asm-util)

mustache-java-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
mustache-java-maven-plugin:
    mustache-java-maven-plugin
    mvn(com.github.spullara.mustache.java:mustache-maven-plugin)
    mvn(com.github.spullara.mustache.java:mustache-maven-plugin:pom:)

mustache-java:
    mustache-java
    mvn(com.github.spullara.mustache.java:codegen)
    mvn(com.github.spullara.mustache.java:codegen:pom:)
    mvn(com.github.spullara.mustache.java:compiler)
    mvn(com.github.spullara.mustache.java:compiler:pom:)
    mvn(com.github.spullara.mustache.java:handlebar)
    mvn(com.github.spullara.mustache.java:handlebar:pom:)
    mvn(com.github.spullara.mustache.java:indy)
    mvn(com.github.spullara.mustache.java:indy:pom:)
    mvn(com.github.spullara.mustache.java:mustache.java:pom:)
    osgi(com.github.spullara.mustache.java.compiler)
    osgi(com.github.spullara.mustache.java.handlebar)
    osgi(com.github.spullara.mustache.java.indy)

mustache-java-javadoc:
    mustache-java-javadoc



Source checksums
----------------
https://github.com/spullara/mustache.java/archive/mustache.java-0.8.16.tar.gz :
  CHECKSUM(SHA256) this package     : 0d43f7c594cb967a8389a9e075cb99d1afd8401e16e8aeda119770164502c96d
  CHECKSUM(SHA256) upstream package : 0d43f7c594cb967a8389a9e075cb99d1afd8401e16e8aeda119770164502c96d


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1026523 -P fedora-review-plugin-java -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 jiri vanek 2014-09-10 05:12:07 EDT
Non blocking questions:

Seeing:
%if %{?fedora} > 19
BuildRequires: mvn(org.jruby:jruby)
%else
BuildRequires: mvn(org.jruby:shared)
%endif
Are you going to maintain it fo f20? 

And I dont understand following:
%if 0
BuildRequires: mvn(com.twitter:util-core)
BuildRequires: mvn(org.scala-lang:scala-library)
BuildRequires: mvn(org.scala-tools:maven-scala-plugin)

# Test deps
BuildRequires: mvn(com.github.jnr:jnr-posix)
%endif

Why those conditional disablements?


ok to go.
If possible, pelase include f21 branch
Comment 5 gil cattaneo 2014-09-10 07:55:13 EDT
(In reply to jiri vanek from comment #4)
> Non blocking questions:
> 
> Seeing:
> %if %{?fedora} > 19
> BuildRequires: mvn(org.jruby:jruby)
> %else
> BuildRequires: mvn(org.jruby:shared)
> %endif
> Are you going to maintain it fo f20? 

for the moment no, if you want i remove this check

> And I dont understand following:
> %if 0
> BuildRequires: mvn(com.twitter:util-core)
> BuildRequires: mvn(org.scala-lang:scala-library)
> BuildRequires: mvn(org.scala-tools:maven-scala-plugin)
> 
> # Test deps
> BuildRequires: mvn(com.github.jnr:jnr-posix)
> %endif
> 
> Why those conditional disablements?

i used as reminder

> 
> ok to go.
> If possible, pelase include f21 branch
Comment 6 gil cattaneo 2014-09-10 07:59:44 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mustache-java
Short Description: Implementation of mustache.js for Java
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 7 jiri vanek 2014-09-10 08:39:37 EDT
> > %endif
> > Are you going to maintain it fo f20? 
> 
> for the moment no, if you want i remove this check


No need, thank you!

> 
> > And I dont understand following:
> > %if 0
> > BuildRequires: mvn(com.twitter:util-core)
> > BuildRequires: mvn(org.scala-lang:scala-library)
> > BuildRequires: mvn(org.scala-tools:maven-scala-plugin)
> > 
> > # Test deps
> > BuildRequires: mvn(com.github.jnr:jnr-posix)
> > %endif
> > 
> > Why those conditional disablements?
> 
> i used as reminder
> 
Hmm... Just for curiosity, for what?
Comment 8 Gwyn Ciesla 2014-09-10 09:17:28 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-09-10 11:07:07 EDT
mustache-java-0.8.16-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mustache-java-0.8.16-1.fc21
Comment 10 Fedora Update System 2014-09-10 12:41:39 EDT
mustache-java-0.8.16-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 11 Fedora Update System 2014-09-23 00:51:42 EDT
mustache-java-0.8.16-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.